FAQ
/Hi,

Has anyone ever successfully configured and build
the PostgreSQL source tree on QNX neutrino 6.2.1 ?

I only need the libpq library as my Postgresql is hosted on
another computer. Is there a way to only configure and
build libpq ?

I tried ./configure --with-template=qnx4
And got :

# ./configure --with-template=qnx4
checking build system type... i386-pc-nto-qnx6.2.1
checking host system type... i386-pc-nto-qnx6.2.1
checking which template to use... qnx4
checking whether to build with 64-bit integer date/time support... no
checking whether NLS is wanted... no
checking for default port number... 5432
checking for gcc... gcc
checking for C compiler default output... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking if gcc supports -Wdeclaration-after-statement... no
checking if gcc supports -Wold-style-definition... no
checking if gcc supports -Wendif-labels... no
checking if gcc supports -fno-strict-aliasing... yes
configure: using CFLAGS=-O2 -Wall -Wmissing-prototypes -Wpointer-arith
-fno-strict-aliasing
checking whether the C compiler still works... no
configure: error: cannot proceed

Can anyone help ? I would really need that library compiled.

Regards,

Alexandre Senechal
/

Search Discussions

  • Bruce Momjian at Apr 27, 2005 at 7:54 pm

    Alexandre Sénéchal wrote:

    /Hi,

    Has anyone ever successfully configured and build
    the PostgreSQL source tree on QNX neutrino 6.2.1 ?
    We used to support QNX but haven't had any QNX people involved, so it is
    probably just broken. It can be fixed probably by adjusting some cases
    in the code, but it will take some work on your part of digging into the
    code and submitting patches.

    --
    Bruce Momjian | http://candle.pha.pa.us
    pgman@candle.pha.pa.us | (610) 359-1001
    + If your life is a hard drive, | 13 Roberts Road
    + Christ can be your backup. | Newtown Square, Pennsylvania 19073
  • Tom Lane at Apr 27, 2005 at 8:38 pm

    Bruce Momjian writes:
    Alexandre Sénéchal wrote:
    Has anyone ever successfully configured and build
    the PostgreSQL source tree on QNX neutrino 6.2.1 ?
    We used to support QNX but haven't had any QNX people involved, so it is
    probably just broken. It can be fixed probably by adjusting some cases
    in the code, but it will take some work on your part of digging into the
    code and submitting patches.
    The error message looked more like a broken compiler than any source
    code problem. Possibly the configure script is assuming too much about
    what CFLAGS are accepted by every variant of gcc?

    regards, tom lane
  • Bruce Momjian at Apr 27, 2005 at 8:59 pm

    Tom Lane wrote:
    Bruce Momjian <pgman@candle.pha.pa.us> writes:
    Alexandre Sénéchal wrote:
    Has anyone ever successfully configured and build
    the PostgreSQL source tree on QNX neutrino 6.2.1 ?
    We used to support QNX but haven't had any QNX people involved, so it is
    probably just broken. It can be fixed probably by adjusting some cases
    in the code, but it will take some work on your part of digging into the
    code and submitting patches.
    The error message looked more like a broken compiler than any source
    code problem. Possibly the configure script is assuming too much about
    what CFLAGS are accepted by every variant of gcc?
    In "code" I mean configure code too. The changes will probably be very
    minor, but it will take some work from someone running QNX.

    --
    Bruce Momjian | http://candle.pha.pa.us
    pgman@candle.pha.pa.us | (610) 359-1001
    + If your life is a hard drive, | 13 Roberts Road
    + Christ can be your backup. | Newtown Square, Pennsylvania 19073
  • Bernd Tegge at Apr 29, 2005 at 8:05 am

    Alexandre Sénéchal wrote:
    /Hi,

    Has anyone ever successfully configured and build
    the PostgreSQL source tree on QNX neutrino 6.2.1 ?

    I only need the libpq library as my Postgresql is hosted on
    another computer. Is there a way to only configure and
    build libpq ?

    I tried ./configure --with-template=qnx4
    And got :
    That will not work. QNX4 is incompatible in more than one way
    with QNX6 (a.k.a. neutrino).
    Your best bet is probably a download site like openqnx.com.
    AFAIK there are prebuilt executables and sources available.

    --
    Silverman's Paradox: If Murphy's Law can go wrong, it will.

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouppgsql-ports @
categoriespostgresql
postedApr 27, '05 at 12:46p
activeApr 29, '05 at 8:05a
posts5
users4
websitepostgresql.org
irc#postgresql

People

Translate

site design / logo © 2022 Grokbase